Bug 430705 - Firefox crashes on start.
Firefox crashes on start.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 10:33 EST by markm
Modified: 2008-07-18 09:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-18 09:46:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
first bug log (47 bytes, text/plain)
2008-01-29 10:33 EST, markm
no flags Details
second bug log (11.50 KB, text/plain)
2008-01-29 10:33 EST, markm
no flags Details
created by bugs-buddy (163.30 KB, text/plain)
2008-01-29 10:34 EST, markm
no flags Details
Firefox crashes on youtube movie (689.57 KB, image/png)
2008-01-30 05:16 EST, markm
no flags Details
gecko bugreport (firefox crashed when I tried to watch youtube movie) (613.37 KB, text/plain)
2008-01-30 05:17 EST, markm
no flags Details
and firefox-bin-bugreport, when I tried to start firefox after it crashed on youtube movie (163.29 KB, text/plain)
2008-01-30 05:18 EST, markm
no flags Details
and the bug report from bug-buddy (18.97 KB, text/plain)
2008-01-30 07:10 EST, markm
no flags Details
another gecko-bugreport (21.49 KB, text/plain)
2008-02-01 08:46 EST, markm
no flags Details
backtrace of crashing firefox (21.44 KB, text/plain)
2008-03-01 18:27 EST, Matěj Cepl
no flags Details

  None (edit)
Description markm 2008-01-29 10:33:20 EST
Description of problem:

One day I can work with firefox all day... another day it crashes after 2 or 3
hours and then... when I try to star it again, it crashes straightaway. I guess
it might be raleted to flash or pulseaudio (20% chance that firefox crashes on
youtube videos :))

Version-Release number of selected component (if applicable):

current from updates (2.0.0.10-3.fc8@i386)

How reproducible:

50%

I have added couple of attachments with bug logs.
Comment 1 markm 2008-01-29 10:33:20 EST
Created attachment 293290 [details]
first bug log
Comment 2 markm 2008-01-29 10:33:53 EST
Created attachment 293291 [details]
second bug log
Comment 3 markm 2008-01-29 10:34:39 EST
Created attachment 293292 [details]
created by bugs-buddy
Comment 4 Matěj Cepl 2008-01-29 12:42:09 EST
Marek, could you give us some scenario where bug happens 100% (or as many times
as possible)? Simple playing of youtube videos is not enough, because it works
for me.
Comment 5 markm 2008-01-29 18:38:15 EST
Scenario as follows:

average day at the office, I have igoogle, web application which I work on and
php my admin in tabs... I work for couple of hours without any problems. then
someone sends me a youtube link... I click, Firefox opens a page and when I
click on the image to start playing the movie, when it's about to play it...
firefox crashes.

my friend at work has similar issue.
Comment 6 Matěj Cepl 2008-01-29 19:51:26 EST
You probably misunderstood me -- does firefox crash EVRERY time you play youtube
video?

Otherwise you could try to install ndiswrapper (if you have x86_64 don't forget
to install BOTH x86_64 and i386 packages) and reconfigure your plugins using
mozilla-plugin-config (as root). Running mozilla-plugin-config -r and
mozilla-plugin-config -i (or mozilla-plugin-config -f -c which should be roughly
equivalent of the previous two commands) should make your plugins (including
flash) running out-of-process, so that their crash shouldn't kill firefox itself.
Comment 7 markm 2008-01-29 20:26:06 EST
no, not every time.

As I wrote above - usually I work for a couple of hours then someone sends me a
link, or I open any website with flash animation _and_ sound and then firefox
crashes. Not every time, without any particular reason - usually I can restart
my browser and watch video / listen to the music from flash animation. I can
survive the fact that firefox crashes, as firefox itself has problems with
cleaning up memory, so a crash is actually good thing (if the orphaned memory is
being wiped).

How do I know it's flash? because in most cases it happens on you tube movies -
exactly in that moment when I click 'play' on the movie. sometimes I can watch
three movies in the row and fourth one causes crash - sometimes I can watch ten
movies without any crash.

Anyway, I can survive a crash, but in 50% cases after that crash I cannot start
my browser because it crashes. And I have attached three different logs (two
when I tried to start firefox from command line, and one when I started it using
an icon). I got a solution already - to restart my laptop, but it's not a
desired solution, as it causes me to restart Zend Studio and VPN conneciton...

BTW: why should I install ndiswrapper?
Comment 8 markm 2008-01-30 05:16:06 EST
Created attachment 293387 [details]
Firefox crashes on youtube movie
Comment 9 markm 2008-01-30 05:16:38 EST
Classic, it's 10 am, I started work just half an hour ago. First you tube movie
and firefox crashes, then I firefox doesn't want to start again. Had to restart
my laptop. See attachments as follows: screenshot, gecko-bugreport.txt and
firefox-bin-bugreport.txt. I haven't installed ndiswrapper yet.
Comment 10 markm 2008-01-30 05:17:23 EST
Created attachment 293388 [details]
gecko bugreport (firefox crashed when I tried to watch youtube movie)
Comment 11 markm 2008-01-30 05:18:33 EST
Created attachment 293389 [details]
and firefox-bin-bugreport, when I tried to start firefox after it crashed on youtube movie
Comment 12 Martin Stransky 2008-01-30 05:39:25 EST
Please run firefox from debuger (firefox -g -d gdb) and attach a bactrace here
(bt in gdb). you need to install firefox-debuginfo package, too.
Comment 13 Matěj Cepl 2008-01-30 05:44:41 EST
and sorry, forget about ndiswrapper (that's for wireless networking), I meant
nspluginwrapper.
Comment 14 markm 2008-01-30 06:04:23 EST
(gdb) bt
#0  0x00110402 in __kernel_vsyscall ()
#1  0x0013a690 in raise () from /lib/libc.so.6
#2  0x0013c0de in abort () from /lib/libc.so.6
#3  0x07227f7a in g_logv () from /lib/libglib-2.0.so.0
#4  0x07227fb9 in g_log () from /lib/libglib-2.0.so.0
#5  0x0612a303 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#6  0x061655b6 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#7  0x00000004 in ?? ()
#8  0x06165902 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#9  0x083ca348 in ?? ()
#10 0x00000003 in ?? ()
#11 0x00000014 in ?? ()
#12 0x00000000 in ?? ()
(gdb) 
Comment 15 markm 2008-01-30 06:05:20 EST
when I started firefox, it showed something like that:

warning: Missing the separate debug info file:
/usr/lib/debug/.build-id/b5/5c1a7a405a4619c29556aedfb283adf5913fe6.debug
[New Thread -1222476912 (LWP 4229)]
[New Thread -1234175088 (LWP 4230)]
[Thread -1234175088 (LWP 4230) exited]
[Thread -1211593840 (LWP 4228) exited]
[Thread -1222476912 (LWP 4229) exited]
[New process 4227]

Gdk-ERROR **: The program 'firefox-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 2168 error_code 3 request_code 20 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
[New process 4227]

Program received signal SIGABRT, Aborted.
0x00110402 in __kernel_vsyscall ()
(gbd) 
Comment 16 markm 2008-01-30 06:07:44 EST
Do I need nspluginwrapper ? I use i386 distro, not x86_64.

Btw: it's already installed (nspluginwrapper).
Comment 17 Matěj Cepl 2008-01-30 06:23:44 EST
OK, three things:

a) forget about nspluginwrapper in this moment -- your problem is probably not
in flash itself, but in something around
b) we are still missing some -debuginfo packages (there shouldn't be any
question marks in the backtrace; apparently, really, the problem is not in
firefox itself, but in some library which we use). If you have no problems with
space on disk (couple of hundred MB), you can install yum-utils package and then run

debuginfo-install -t firefox

It will install all -debuginfo packages for all packages which firefox uses,
recursively all the way to glibc. That way we can be sure, that we get useful
information for debugging.

c) again, to be sure we get all possible information instead of
bt command in gdb, use

thread apply all backtrace

That we get information also about all other threads firefox runs.

Thank you very much for you help to us.
Comment 18 markm 2008-01-30 06:59:10 EST
Always happy to help :)

This is an output from thread apply all backtrace:


warning: Missing the separate debug info file:
/usr/lib/debug/.build-id/36/b3bd00b253ec838672a3bda72728d8c7a8181f.debug
[New Thread -1211548784 (LWP 4884)]

warning: Missing the separate debug info file:
/usr/lib/debug/.build-id/42/92064b4deaf7e2b1f3841dfa29206422d894c9.debug
[New Thread -1222431856 (LWP 4885)]
[New Thread -1234175088 (LWP 4886)]
[New Thread -1244664944 (LWP 4887)]
[Thread -1244664944 (LWP 4887) exited]
[Thread -1234175088 (LWP 4886) exited]
[Thread -1211548784 (LWP 4884) exited]
[Thread -1222431856 (LWP 4885) exited]
[New process 4881]

Gdk-ERROR **: The program 'firefox-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 1809 error_code 3 request_code 20 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
[New process 4881]

Program received signal SIGABRT, Aborted.
0x00110402 in __kernel_vsyscall ()
Current language:  auto; currently c
(gdb) thread apply all backtrace

Thread 7 (process 4881):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x0013a690 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x0013c0de in abort () at abort.c:117
#3  0x07227f7a in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, format=0x6165902 "%s", 
    args1=0xbfbee6dc "H�\006\n\003") at gmessages.c:497
#4  0x07227fb9 in IA__g_log (log_domain=0x61655b6 "Gdk", 
    log_level=G_LOG_LEVEL_ERROR, format=0x6165902 "%s") at gmessages.c:517
#5  0x0612a303 in gdk_x_error (display=0xa05f218, error=0xbfbee788)
    at gdkmain-x11.c:641
#6  0x0769a71e in _XError (dpy=0xa05f218, rep=0xa067058) at XlibInt.c:2905
#7  0x076a2263 in _XReply (dpy=0xa05f218, rep=0xbfbee87c, extra=0, discard=0)
    at xcb_io.c:417
#8  0x076806c6 in XGetWindowProperty (dpy=0xa05f218, w=23072076, property=113, 
    offset=0, length=0, delete=0, req_type=0, actual_type=0xbfbee908, 
    actual_format=0xbfbee904, nitems=0xbfbee900, bytesafter=0xbfbee8fc, 
    prop=0xbfbee8f8) at GetProp.c:64
#9  0x080584df in XRemoteClient::CheckWindow (this=0xbfbeea7c, 
    aWindow=23072076) at XRemoteClient.cpp:272
#10 0x080585ab in XRemoteClient::FindBestWindow (this=0xbfbeea7c, 
    aProgram=0xbfbeeda0 "firefox", aUsername=0xbfbefd68 "marek", aProfile=0x0, 
---Type <return> to continue, or q <return> to quit---
    aSupportsCommandLine=1) at XRemoteClient.cpp:488
#11 0x08058b26 in XRemoteClient::SendCommandLine (this=0xbfbeea7c, 
    aProgram=0xbfbeeda0 "firefox", aUsername=0xbfbefd68 "marek", aProfile=0x0, 
    argc=1, argv=0xbfbeef04, aResponse=0xbfbeec64, aWindowFound=0xbfbeec90)
    at XRemoteClient.cpp:227
#12 0x0804da1f in XRE_main (argc=1, argv=0xbfbeef04, aAppData=0x8066020)
    at nsAppRunner.cpp:1222
#13 0x0804aca0 in main (argc=Cannot access memory at address 0x1311
) at nsBrowserApp.cpp:61
#14 0x00127390 in __libc_start_main (main=0x804ac74 <main>, argc=1, 
    ubp_av=0xbfbeef04, init=0x8059e10 <__libc_csu_init>, 
    fini=0x8059e00 <__libc_csu_fini>, rtld_fini=0x2a0940 <_dl_fini>, 
    stack_end=0xbfbeeefc) at libc-start.c:220
#15 0x0804abc1 in _start ()
../../gdb/linux-nat.c:2701: internal-error: linux_nat_thread_alive: Assertion
`is_lwp (ptid)' failed.
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Comment 19 markm 2008-01-30 07:10:04 EST
Created attachment 293394 [details]
and the bug report from bug-buddy
Comment 20 markm 2008-02-01 08:46:41 EST
Created attachment 293725 [details]
another gecko-bugreport
Comment 21 markm 2008-02-01 08:47:48 EST
Comment on attachment 293725 [details]
another gecko-bugreport

again, a friend send me a link to the youtube movie (embed on another website)
and while it was starting to play, gecko has crashed.
Comment 22 Matěj Cepl 2008-02-21 17:36:08 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 23 Matěj Cepl 2008-02-21 17:37:06 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 24 Matěj Cepl 2008-03-01 18:27:21 EST
Created attachment 296459 [details]
backtrace of crashing firefox

OK, this happens for me as well *from time to time* with firefox-2.0.0.12-1.fc8
and the backtrace seems to be similar.

Somehow, sometimes when I quit firefox (with the upper right corner close
button) firefox gets to some weird state and then it doesn't start from Alt+F2
dialog box whatever I do. However, it starts then usually pretty easily from
gnome-terminal and then it is cured (i.e., can be started even from Alt+F2
dialog).
Comment 25 Matěj Cepl 2008-03-01 18:29:59 EST
BTW, there doesn’t seem to be in my case any relation to youtube -- it happens
even when I have opened only non-flash tabs (like bugzilla, google, and some
documentation). (I would venture a theory that higher frequency of crashes on
youtube for reporter could be explained by his spending most of his time with
firefox there ;-))
Comment 26 Martin Stransky 2008-07-18 09:46:49 EDT
Can't reproduce, closing.

Note You need to log in before you can comment on or make changes to this bug.